

const int L9110S_1A =  3;      // A控制的前進（HIGH）、後退（LOW）
const int L9110S_1B =  2;      // B控制馬達的速度 0~1023

const int L9110S_2A =  28;      // A控制的前進（HIGH）、後退（LOW）
const int L9110S_2B =  5;      // B控制馬達的速度 0~1023



void setup() {
  Serial.begin(115200);
  Serial.println();

  pinMode(L9110S_1A, OUTPUT);
  pinMode(L9110S_1B, OUTPUT);
  pinMode(L9110S_2A, OUTPUT);
  pinMode(L9110S_2B, OUTPUT);

  

  
}
void Motor(int speed_val)
{
  if (speed_val >= 0) {
      digitalWrite(L9110S_1A , HIGH);
      analogWrite(L9110S_1B, 255-speed_val);

      digitalWrite(L9110S_2A , HIGH);
      analogWrite(L9110S_2B, 255-speed_val);
      
      
                    
  } else {
      digitalWrite(L9110S_1A , LOW);
      analogWrite(L9110S_1B, -(speed_val));

      digitalWrite(L9110S_2A , LOW);
      analogWrite(L9110S_2B, -(speed_val));
      
      
     
     
  }
                 
}



void loop() {

 Serial.println("Motor Forward Fast Speed");
 Motor(255);//正轉 1~255
 delay(2000); 
 Serial.println("Motor Forward Slow Speed");
 Motor(50);//正轉 1~255
 delay(2000); 
 Serial.println("Motor Reverse Fast Speed");
 Motor(-255);//反轉 -1~ -255
 delay(2000);
 Serial.println("Motor Reverse Slow Speed");
 Motor(-50);//反轉 -1~ -255
 delay(2000);
 Serial.println("Motor Stop");
 Motor(0); //停止
 delay(2000);

/*Serial.println("Motor1");
 digitalWrite(L9110S_1A , HIGH);
 analogWrite(L9110S_1B, 0);
  delay(5000);
Serial.println("Motor2");
 digitalWrite(L9110S_1A , HIGH);
 analogWrite(L9110S_1B, 200);
 delay(5000);
 Serial.println("Motor3");
 digitalWrite(L9110S_1A , LOW);
 analogWrite(L9110S_1B, 50);
 delay(5000);
  Serial.println("Motor4");
  digitalWrite(L9110S_1A , LOW);
 analogWrite(L9110S_1B, 255);
 delay(5000);*/

 

  
  
}
